summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
Diffstat (limited to 'eclass')
-rw-r--r--eclass/Manifest.gzbin39213 -> 39215 bytes
-rw-r--r--eclass/cmake.eclass1
-rw-r--r--eclass/qt5-build.eclass3
-rw-r--r--eclass/vdr-plugin-2.eclass2
4 files changed, 4 insertions, 2 deletions
diff --git a/eclass/Manifest.gz b/eclass/Manifest.gz
index d830afb58cac..641abbe27db0 100644
--- a/eclass/Manifest.gz
+++ b/eclass/Manifest.gz
Binary files differ
diff --git a/eclass/cmake.eclass b/eclass/cmake.eclass
index 908e2356ead2..de43bd017768 100644
--- a/eclass/cmake.eclass
+++ b/eclass/cmake.eclass
@@ -541,7 +541,6 @@ cmake_src_configure() {
set(CMAKE_INSTALL_DOCDIR "${EPREFIX}/usr/share/doc/${PF}" CACHE PATH "")
set(BUILD_SHARED_LIBS ON CACHE BOOL "")
set(Python3_FIND_UNVERSIONED_NAMES FIRST CACHE STRING "")
- set(FETCHCONTENT_FULLY_DISCONNECTED ON CACHE BOOL "")
set(CMAKE_DISABLE_PRECOMPILE_HEADERS ON CACHE BOOL "")
_EOF_
diff --git a/eclass/qt5-build.eclass b/eclass/qt5-build.eclass
index ef4ea4ec1756..1a0335b9d2b6 100644
--- a/eclass/qt5-build.eclass
+++ b/eclass/qt5-build.eclass
@@ -623,6 +623,9 @@ qt5_base_configure() {
$(is-flagq -mno-dsp && echo -no-mips_dsp)
$(is-flagq -mno-dspr2 && echo -no-mips_dspr2)
+ # bug #773199 and friends
+ $(tc-cpp-is-true "defined(__SSE2__)" ${CFLAGS} ${CXXFLAGS} || echo -no-feature-sse2)
+
# use pkg-config to detect include and library paths
-pkg-config
diff --git a/eclass/vdr-plugin-2.eclass b/eclass/vdr-plugin-2.eclass
index 289c3d1a624a..dc70ca7c5761 100644
--- a/eclass/vdr-plugin-2.eclass
+++ b/eclass/vdr-plugin-2.eclass
@@ -286,7 +286,7 @@ vdr_linguas_support() {
|| die "sed failed for Linguas"
done
- strip-linguas ${PLUGIN_LINGUAS} en
+ strip-linguas ${PLUGIN_LINGUAS}
}
# @FUNCTION: vdr_i18n